summaryrefslogtreecommitdiffstats
path: root/tools
diff options
context:
space:
mode:
authorkrzys-h <krzys_h@interia.pl>2014-10-14 15:42:19 +0200
committerkrzys-h <krzys_h@interia.pl>2014-10-14 15:42:19 +0200
commitf65b00089ac537f9e37d0d4b7f44881fed4a09f1 (patch)
tree2b2073c2de3ee8161ae6f034253c7e8b3973c549 /tools
parenteab300c3a0e94120f934b75b8f16d200ba594a38 (diff)
parent9fd6cf54492cedd7f6231a0b1d0655120cb1c4d7 (diff)
downloadcolobot-f65b00089ac537f9e37d0d4b7f44881fed4a09f1.tar.gz
colobot-f65b00089ac537f9e37d0d4b7f44881fed4a09f1.tar.bz2
colobot-f65b00089ac537f9e37d0d4b7f44881fed4a09f1.zip
Merge branch 'dev' into dev-physfs
Conflicts: data
Diffstat (limited to 'tools')
-rw-r--r--tools/blender-scripts.py4
-rwxr-xr-xtools/update-license.sh12
2 files changed, 14 insertions, 2 deletions
diff --git a/tools/blender-scripts.py b/tools/blender-scripts.py
index c2361c7..d2273d6 100644
--- a/tools/blender-scripts.py
+++ b/tools/blender-scripts.py
@@ -2,12 +2,12 @@
# Script for exporting Blender models (meshes) to Colobot model files
# (text format)
#
-# Copyright (C) 2012, PPC (Polish Portal of Colobot)
+# Copyright (C) 2012-2014, TerranovaTeam
#
bl_info = {
"name": "Colobot Model Format (.txt)",
- "author": "PPC (Polish Portal of Colobot)",
+ "author": "TerranovaTeam",
"version": (0, 0, 2),
"blender": (2, 6, 4),
"location": "File > Export > Colobot (.txt)",
diff --git a/tools/update-license.sh b/tools/update-license.sh
new file mode 100755
index 0000000..870e173
--- /dev/null
+++ b/tools/update-license.sh
@@ -0,0 +1,12 @@
+#!/bin/bash
+# Replaces license text with contents of file provided as an argument
+if [ ! $# -eq 1 ]; then
+ echo "Usage: $0 [file with new license header]"
+ exit 1
+fi
+find . -name "*.cpp" -or -name "*.h" | while read file; do
+ echo $file
+ sed '/\/\/ \* This.*/,/If not\, see.*/d' $file > $file.tmp
+ cat $1 $file.tmp > $file
+ rm $file.tmp
+done